Public Attributes | List of all members
_uart_init Struct Reference
Peripheral Driver » HAL Driver » UART » Structures » UART Configuration

UART init structure definition. More...

`#include <gr55xx_hal_uart.h>`

## Public Attributes
uint32_t | baud_rate
uint32_t | data_bits
uint32_t | stop_bits
uint32_t | parity
uint32_t | hw_flow_ctrl
uint32_t | rx_timeout_mode

## Detailed Description

UART init structure definition.

Definition at line 119 of file gr55xx_hal_uart.h.

## Member Data Documentation

## ◆ baud_rate

uint32_t _uart_init::baud_rate

This member configures the UART communication baud rate.

Definition at line 121 of file gr55xx_hal_uart.h.

## ◆ data_bits

uint32_t _uart_init::data_bits

Specifies the number of data bits transmitted or received in a frame. This parameter can be a value of UART Number of Data Bits.

Definition at line 123 of file gr55xx_hal_uart.h.

## ◆ hw_flow_ctrl

uint32_t _uart_init::hw_flow_ctrl

Specifies whether the hardware flow control mode is enabled or disabled. This parameter can be a value of UART Hardware Flow Control.

Definition at line 132 of file gr55xx_hal_uart.h.

## ◆ parity

uint32_t _uart_init::parity

Specifies the parity mode. This parameter can be a value of UART Parity.

Definition at line 129 of file gr55xx_hal_uart.h.

## ◆ rx_timeout_mode

uint32_t _uart_init::rx_timeout_mode

Specifies whether the receive timeout mode is enabled or disabled. When rx_timeout_mode is enabled, character timeout interrupt will disable current receive process after the data in RxFIFO is received, and call hal_uart_rx_cplt_callback(). Note that the rx_timeout_mode only works in interrupt mode. This parameter can be a value of UART Receiver TimeOut.

Definition at line 135 of file gr55xx_hal_uart.h.

## ◆ stop_bits

uint32_t _uart_init::stop_bits

Specifies the number of stop bits transmitted. This parameter can be a value of UART Number of Stop Bits.

Definition at line 126 of file gr55xx_hal_uart.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_uart.h